summaryrefslogtreecommitdiff
path: root/dev-python/pytz-python2
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-24 18:29:19 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-24 18:29:19 +0000
commit2ae6e775712c12adb693178c6b5c104a64091e24 (patch)
tree9709520c2ac99cea024305cfc9799024fd0be9b0 /dev-python/pytz-python2
parent61f09dac1e93ecda99dd048d4d59eee94691c7ec (diff)
downloadbaldeagleos-repo-2ae6e775712c12adb693178c6b5c104a64091e24.tar.gz
baldeagleos-repo-2ae6e775712c12adb693178c6b5c104a64091e24.tar.xz
baldeagleos-repo-2ae6e775712c12adb693178c6b5c104a64091e24.zip
Updating liguros repo
Diffstat (limited to 'dev-python/pytz-python2')
-rw-r--r--dev-python/pytz-python2/Manifest1
-rw-r--r--dev-python/pytz-python2/files/2018.4-zoneinfo.patch12
-rw-r--r--dev-python/pytz-python2/files/pytz-python2-2018.4-zoneinfo-noinstall.patch18
-rw-r--r--dev-python/pytz-python2/metadata.xml20
-rw-r--r--dev-python/pytz-python2/pytz-python2-2020.1.ebuild44
5 files changed, 95 insertions, 0 deletions
diff --git a/dev-python/pytz-python2/Manifest b/dev-python/pytz-python2/Manifest
new file mode 100644
index 000000000000..851e4f603006
--- /dev/null
+++ b/dev-python/pytz-python2/Manifest
@@ -0,0 +1 @@
+DIST pytz-2020.1.tar.gz 311771 BLAKE2B 2d7dd9987fd912dd2a62b5c4ab1667a13f3704ff407796c00fd76b6f3ac4dfcffba9f58740f9456ddfade6c2ef6deacc754f57f5e434b97da36b36fca3024d0f SHA512 4f652ab400bac0bd83ed305be7540094e674029a0cbde7da280adfd911b8c0a44023799b7c61971a5a61a1d6e3992c5b621e5e95bbfe962f310d5f26d4fda3ce
diff --git a/dev-python/pytz-python2/files/2018.4-zoneinfo.patch b/dev-python/pytz-python2/files/2018.4-zoneinfo.patch
new file mode 100644
index 000000000000..2eeeab416d7f
--- /dev/null
+++ b/dev-python/pytz-python2/files/2018.4-zoneinfo.patch
@@ -0,0 +1,12 @@
+--- a/pytz/__init__.py
++++ b/pytz/__init__.py
+@@ -91,8 +91,7 @@
+ if zoneinfo_dir is not None:
+ filename = os.path.join(zoneinfo_dir, *name_parts)
+ else:
+- filename = os.path.join(os.path.dirname(__file__),
+- 'zoneinfo', *name_parts)
++ filename = os.path.join('/usr/share/zoneinfo', *name_parts)
+ if not os.path.exists(filename):
+ # http://bugs.launchpad.net/bugs/383171 - we avoid using this
+ # unless absolutely necessary to help when a broken version of
diff --git a/dev-python/pytz-python2/files/pytz-python2-2018.4-zoneinfo-noinstall.patch b/dev-python/pytz-python2/files/pytz-python2-2018.4-zoneinfo-noinstall.patch
new file mode 100644
index 000000000000..9f8b93bf70a5
--- /dev/null
+++ b/dev-python/pytz-python2/files/pytz-python2-2018.4-zoneinfo-noinstall.patch
@@ -0,0 +1,18 @@
+--- a/setup.py
++++ b/setup.py
+@@ -15,15 +15,8 @@
+ memail = 'stuart@stuartbishop.net'
+ packages = ['pytz']
+ resources = ['zone.tab', 'locales/pytz.pot']
+-for dirpath, dirnames, filenames in os.walk(os.path.join('pytz', 'zoneinfo')):
+- # remove the 'pytz' part of the path
+- basepath = dirpath.split(os.path.sep, 1)[1]
+- resources.extend([os.path.join(basepath, filename)
+- for filename in filenames])
+ package_data = {'pytz': resources}
+
+-assert len(resources) > 10, 'zoneinfo files not found!'
+-
+ setup(
+ name='pytz',
+ version=pytz.VERSION,
diff --git a/dev-python/pytz-python2/metadata.xml b/dev-python/pytz-python2/metadata.xml
new file mode 100644
index 000000000000..467d48680dd9
--- /dev/null
+++ b/dev-python/pytz-python2/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <herd>maintainer-wanted</herd>
+ </maintainer>
+ <longdescription lang="en">
+ pytz brings the Olson tz database into Python. This library allows
+ accurate and cross platform timezone calculations using Python 2.3
+ or higher. It also solves the issue of ambiguous times at the end of
+ daylight savings, which you can read more about in the Python
+ Library Reference (datetime.tzinfo).
+ Amost all (over 540) of the Olson timezones are supported.
+</longdescription>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="pypi">pytz</remote-id>
+ </upstream>
+ <origin>calculatelinux-overlay</origin>
+</pkgmetadata>
diff --git a/dev-python/pytz-python2/pytz-python2-2020.1.ebuild b/dev-python/pytz-python2/pytz-python2-2020.1.ebuild
new file mode 100644
index 000000000000..a5b4d186d605
--- /dev/null
+++ b/dev-python/pytz-python2/pytz-python2-2020.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+MY_PN=pytz
+MY_P=$MY_PN-$PV
+
+DESCRIPTION="World timezone definitions for Python"
+HOMEPAGE="https://pythonhosted.org/pytz/ https://pypi.org/project/pytz/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
+IUSE=""
+
+RDEPEND="
+ !dev-python/pytz[python_targets_python2_7]
+ || ( >=sys-libs/timezone-data-2017a sys-libs/glibc[vanilla] )"
+DEPEND="${RDEPEND}
+ app-arch/unzip"
+
+PATCHES=(
+ # Use timezone-data zoneinfo.
+ "${FILESDIR}"/2018.4-zoneinfo.patch
+ # ...and do not install a copy of it.
+ "${FILESDIR}"/${PN}-2018.4-zoneinfo-noinstall.patch
+)
+
+RESTRICT="test"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+
+python_install_all() {
+ distutils-r1_python_install_all
+ rm -r ${D}/usr/share
+}
+